RAISE(3) | Library Functions Manual | RAISE(3)

# NAME

`raise` — send a signal to the current thread

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <signal.h>`

int
`raise`(int sig);

# DESCRIPTION

The `raise`() function sends the signal sig to the current thread.

# RETURN VALUES

Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and the global variable errno is set to indicate the error.

# ERRORS

The `raise`() function may fail and set errno for any of the errors specified for the library functions _lwp_self(2) and _lwp_kill(2).

# SEE ALSO

kill(2), raise_default_signal(3)

# STANDARDS

The `raise`() function conforms to ANSI X3.159-1989 (“ANSI C89”) and Version 2 of the Single UNIX Specification (“SUSv2”).

May 9, 2011 | NetBSD 11.0